---
apiVersion: v1
items:
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      service.beta.kubernetes.io/aws-load-balancer-healthcheck-healthy-threshold: "2"
      service.beta.kubernetes.io/aws-load-balancer-healthcheck-interval: "5"
      service.beta.kubernetes.io/aws-load-balancer-healthcheck-timeout: "4"
      service.beta.kubernetes.io/aws-load-balancer-healthcheck-unhealthy-threshold: "2"
      service.beta.kubernetes.io/aws-load-balancer-proxy-protocol: '*'
    creationTimestamp: "2020-05-26T14:23:38Z"
    finalizers:
    - ingress.openshift.io/operator
    - service.kubernetes.io/load-balancer-cleanup
    labels:
      app: router
      ingresscontroller.operator.openshift.io/owning-ingresscontroller: default
      router: router-default
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:service.beta.kubernetes.io/aws-load-balancer-healthcheck-healthy-threshold: {}
            f:service.beta.kubernetes.io/aws-load-balancer-healthcheck-interval: {}
            f:service.beta.kubernetes.io/aws-load-balancer-healthcheck-timeout: {}
            f:service.beta.kubernetes.io/aws-load-balancer-healthcheck-unhealthy-threshold: {}
            f:service.beta.kubernetes.io/aws-load-balancer-proxy-protocol: {}
          f:finalizers:
            .: {}
            v:"ingress.openshift.io/operator": {}
          f:labels:
            .: {}
            f:app: {}
            f:ingresscontroller.operator.openshift.io/owning-ingresscontroller: {}
            f:router: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"dec916de-d333-42f7-9636-08644095d1f8"}:
              .: {}
              f:apiVersion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:externalTrafficPolicy: {}
          f:ports:
            .: {}
            k:{"port":80,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector:
            .: {}
            f:ingresscontroller.operator.openshift.io/deployment-ingresscontroller: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: ingress-operator
      operation: Update
      time: "2020-05-26T14:23:37Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:finalizers:
            v:"service.kubernetes.io/load-balancer-cleanup": {}
        f:status:
          f:loadBalancer:
            f:ingress: {}
      manager: kube-controller-manager
      operation: Update
      time: "2020-05-26T14:23:42Z"
    name: router-default
    namespace: openshift-ingress
    ownerReferences:
    - apiVersion: apps/v1
      controller: true
      kind: Deployment
      name: router-default
      uid: dec916de-d333-42f7-9636-08644095d1f8
    resourceVersion: "12565"
    selfLink: /api/v1/namespaces/openshift-ingress/services/router-default
    uid: 4740f3be-6566-484e-a19d-3ae26072bd09
  spec:
    clusterIP: 172.30.13.49
    externalTrafficPolicy: Local
    healthCheckNodePort: 31795
    ports:
    - name: http
      nodePort: 30714
      port: 80
      protocol: TCP
      targetPort: http
    - name: https
      nodePort: 32599
      port: 443
      protocol: TCP
      targetPort: https
    selector:
      ingresscontroller.operator.openshift.io/deployment-ingresscontroller: default
    sessionAffinity: None
    type: LoadBalancer
  status:
    loadBalancer:
      ingress:
      - hostname: a4740f3be6566484ea19d3ae26072bd0-1000151552.us-east-1.elb.amazonaws.com
- apiVersion: v1
  kind: Service
  metadata:
    annotations:
      service.alpha.openshift.io/serving-cert-secret-name: router-metrics-certs-default
      service.alpha.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1590502657
      service.beta.openshift.io/serving-cert-signed-by: openshift-service-serving-signer@1590502657
    creationTimestamp: "2020-05-26T14:23:38Z"
    labels:
      ingresscontroller.operator.openshift.io/owning-ingresscontroller: default
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:service.alpha.openshift.io/serving-cert-secret-name: {}
          f:labels:
            .: {}
            f:ingresscontroller.operator.openshift.io/owning-ingresscontroller: {}
          f:ownerReferences:
            .: {}
            k:{"uid":"dec916de-d333-42f7-9636-08644095d1f8"}:
              .: {}
              f:apiVersion: {}
              f:controller: {}
              f:kind: {}
              f:name: {}
              f:uid: {}
        f:spec:
          f:ports:
            .: {}
            k:{"port":80,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
            k:{"port":443,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
            k:{"port":1936,"protocol":"TCP"}:
              .: {}
              f:name: {}
              f:port: {}
              f:protocol: {}
              f:targetPort: {}
          f:selector:
            .: {}
            f:ingresscontroller.operator.openshift.io/deployment-ingresscontroller: {}
          f:sessionAffinity: {}
          f:type: {}
      manager: ingress-operator
      operation: Update
      time: "2020-05-26T14:23:38Z"
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            f:service.alpha.openshift.io/serving-cert-signed-by: {}
            f:service.beta.openshift.io/serving-cert-signed-by: {}
      manager: service-ca-operator
      operation: Update
      time: "2020-05-26T14:23:49Z"
    name: router-internal-default
    namespace: openshift-ingress
    ownerReferences:
    - apiVersion: apps/v1
      controller: true
      kind: Deployment
      name: router-default
      uid: dec916de-d333-42f7-9636-08644095d1f8
    resourceVersion: "12724"
    selfLink: /api/v1/namespaces/openshift-ingress/services/router-internal-default
    uid: bb5ae8b1-0337-43a2-8a3d-81cdd45c3c69
  spec:
    clusterIP: 172.30.167.126
    ports:
    - name: http
      port: 80
      protocol: TCP
      targetPort: http
    - name: https
      port: 443
      protocol: TCP
      targetPort: https
    - name: metrics
      port: 1936
      protocol: TCP
      targetPort: 1936
    selector:
      ingresscontroller.operator.openshift.io/deployment-ingresscontroller: default
    sessionAffinity: None
    type: ClusterIP
  status:
    loadBalancer: {}
kind: ServiceList
metadata:
  resourceVersion: "53422"
  selfLink: /api/v1/namespaces/openshift-ingress/services
